Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Beginner
47 Views

OpenCL installer for Ubuntu, Linux

I am trying to use the CodeBuilder for Eclipse Neon on ubuntu 16.04.3.

I have installed the driver and kernel patch (not sure if it is really required though) and I can compile opencl kernels and programs. However I would like to use the SDK tools for eclipse. When I install the intel_sdk_for_opencl_2017_7.0.0.25.11_x64 sdk for eclipse and put the plugin in the dropins folder. I get the new toolbars etc but it complains of being unable to find machine or device etc. such as:

"Failed to update machine list:

Could not load required libraries; please make sure to set the correct path under the Code Builder for OpenCL preference page"

and similar errors for platforms and devices.

I have the paths pointing to:

OpenCL Preferences:

OpenCL Bin Directory: /opt/intel/opencl/SDK/bin

OpenCL Lib Directory: /opt/intel/opencl/SDK/lib64

in the eclipse preferences/CodeBuilder for OpenCL menu dialog.

I noticed that there are .dll and .exe files included in the linux install folders which is odd as they also prevent me from using them directly in a standalone command line fashion.

Is there something wrong with the distribution? or do I need to do something to get this to work.

cheers and thanks in advance.

 

0 Kudos
1 Reply
Highlighted
47 Views

Hello PeterM,

Please take a look through this forum post to see if it resolves the issue.

https://software.intel.com/en-us/forums/opencl/topic/759485

-MichaelC

 

0 Kudos